<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;

class ComentarioTiempo extends Model
{
    use HasFactory;

    protected $table = 'comentarios_tiempo';

    protected $fillable = ['entrada_tiempo_id', 'comentario', 'user_id'];

    public function entradaTiempo(): BelongsTo
    {
        return $this->belongsTo(EntradaTiempo::class);
    }

    public function user(): BelongsTo
    {
        return $this->belongsTo(User::class);
    }
}
